# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "oxanus-web"
version = "1.0.1"
build = false
exclude = [
    ".*",
    "logo.jpg",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Web UI for Oxanus job queue system."
readme = false
keywords = [
    "job",
    "scheduler",
    "worker",
    "web",
]
categories = [
    "asynchronous",
    "web-programming",
]
license = "MIT"
repository = "https://github.com/pragmaplatform/oxanus"

[lib]
name = "oxanus_web"
path = "src/lib.rs"
test = true
doctest = false

[dependencies.askama]
version = "0.15"

[dependencies.askama_web]
version = "0.15"
features = ["axum-0.8"]

[dependencies.axum]
version = "0.8"

[dependencies.chrono]
version = "^0.4"
features = ["serde"]

[dependencies.oxanus]
version = "^1.0"

[dependencies.serde]
version = "^1.0"
features = ["derive"]

[dependencies.serde_json]
version = "^1.0"
features = ["preserve_order"]

[dependencies.urlencoding]
version = "2"

[dependencies.uuid]
version = "^1.17"
features = ["v4"]
